Bug 730436 - use slapi_rwlock instead of NSPR PR_RWLock directly
Summary: use slapi_rwlock instead of NSPR PR_RWLock directly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On: 730387 730395 743979
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-12 22:31 UTC by Dmitri Pal
Modified: 2015-01-04 23:50 UTC (History)
9 users (show)

Fixed In Version: ipa-2.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Under some rare circumstances certain operations may cause 389-ds to crash or not function properly. Consequence: 389-ds may not be available. Fix: NSPR read/write locks used by 389-ds are not re-entrant. The use of these locks were replaced with POSIX thread read-write locks instead in the IPA 389-ds plugins. Result: 389 should not crash due to re-entrant locks.
Clone Of: 730395
Environment:
Last Closed: 2011-12-06 18:29:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Dmitri Pal 2011-08-12 22:31:37 UTC
+++ This bug was initially created as a clone of Bug #730395 +++

NSPR PR_RWLocks are not re-entrant.  389 is refactoring its code to provide and use slapi_rwlocks instead.  All freeipa plugins should be refactored to use the slapi_rwlock interface when it is available.

Comment 2 Dmitri Pal 2011-08-15 14:51:18 UTC
https://fedorahosted.org/freeipa/ticket/1635

Comment 5 Rob Crittenden 2011-11-01 13:17:44 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Under some rare circumstances certain operations may cause 389-ds to crash or not function properly.
Consequence: 389-ds may not be available.
Fix: NSPR read/write locks used by 389-ds are not re-entrant. The use of these locks were replaced with POSIX thread read-write locks instead in the IPA 389-ds plugins.
Result: 389 should not crash due to re-entrant locks.

Comment 6 Namita Soman 2011-11-08 13:08:02 UTC
Looks like this happens "Under some rare circumstances". Please suggest what is the good way to verify this bug

Comment 7 Rob Crittenden 2011-11-08 13:27:22 UTC
This may need to be validated by code review and general acceptance that the server is operating as before.

Comment 8 Michael Gregg 2011-11-08 19:03:45 UTC
verified:SanityOnly

This bug did not seem to pop up in any of our acceptance tests in the past 3 months.

Verified against:
bind-dyndb-ldap-0.2.0-7.el6.x86_64
ipa-server-2.1.3-8.el6.x86_64

Comment 9 errata-xmlrpc 2011-12-06 18:29:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.